import os
import unittest
import time
from BeautifulReport import BeautifulReport


# 方法：执行用例的方法，并且把用例的执行结果写入到测试报告文件中（html文件中）
def zhixing_yongli():
    # 1. 准备测试套件： 把用例放入到测试套件中。 discover套件
    dangqian_lujing = os.path.dirname(__file__)
    case_path = os.path.join(dangqian_lujing, "." , "all_case/search")
    taojian = unittest.defaultTestLoader.discover(case_path, pattern='as_SummaryQueryScript2.py')
    # 2. 准备测试报告。（准备测试报告的路径  + 测试报告的文件名 xxxxx.html 系统时间+项目名.html)r
    baogao_lujing = os.path.join(dangqian_lujing, ".", "report")
    sys_time = time.strftime("%Y%m%d%H%M%S")
    baogao_wenjianming = sys_time + "ranqikefu.html"

    # 3. 执行测试套件中的用例，并且把执行结果写入到测试报告文件。(采用开源的beautifulreport来执行用例生成报告）
    jieguo = BeautifulReport(taojian)
    jieguo.report(description="燃气客服的自动化测试", filename="查询部分测试报告", report_dir=baogao_lujing)


if __name__ == '__main__':
    zhixing_yongli()
